Get_Mapped(special file)

NAME
Get_Mapped — get whether a tool is mapped to the screen

SYNOPSIS

Get_Mapped(out boolean mapped
        [in messageID commission]);

DESCRIPTION

The Get_Mapped request reports the mapped state of the optionally specified window, or of the window primarily associated with the handling procid (if no window is specified).

The mapped argument is a Boolean value indicating whether the specified window is (to be) mapped to the screen.

The commission argument is the ID of the ongoing request, if any, that resulted in the creation of the window in question.

APPLICATION USAGE

The ttdt_session_join(3), and ttdt_message_accept(3), functions can be used by Xt applications to register for, and transparently process, the Get_Mapped request.

SEE ALSO

ttdt_message_accept(3), ttdt_session_join(3); Set_Mapped request.